
div.table-wrap {
    overflow: hidden;
}
div.table-scroll {
    overflow: auto;
    width: 100%;
    max-height: 600px;
    cursor: pointer;
}
.table-wrap td,
.table-wrap th {
    transition: background-color 0.25s ease;
    min-width: 220px;
    box-sizing: border-box;
    text-overflow: ellipsis;
    vertical-align: middle;
    text-align: left;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    word-break: break-word;
    line-height: 23px;
    background-color: #fff;
    font-weight: normal !important;
}

.table-wrap table {
    table-layout: fixed;
    min-width: 100%;
    font-size: 14px;
    color: #606266;
}
.table-wrap td:first-child,
.table-wrap th:first-child {
    position: sticky;
    left: 0;
    z-index: 1;
    /* box-shadow: 4px 2px 7px 0px rgba(0,0,0,.12); */
    background-color: #f5f6fa;
}
.table-wrap td:first-child {
    border-right: 1px solid #ebeef5;
}
.table-wrap td:last-child,
.table-wrap th:last-child {
    /* position: sticky;
    right: 0; */
    z-index: 1;
    /* box-shadow: -4px 2px 7px 0px rgba(0,0,0,.12); */
}
.table-wrap thead tr th:nth-of-type(1) {
	background-color: #f2f2f2 !important;
}
.table-wrap td:nth-last-of-type(2),
.table-wrap th:nth-last-of-type(2) {
    border-right: none;
}
.table-wrap td:nth-of-type(2),
.table-wrap th:nth-of-type(2) {
    border-left: none;
}
.table-wrap thead tr th {
    position: sticky;
    top: -1px;
    text-align: center;
    /* padding: 12px 10px; */
}
.table-wrap thead tr th.actions {
    text-align: center;
}
.table-wrap th:first-child,
.table-wrap th:last-child {
    z-index: 2;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgb(0 0 0 / 0%);
    border-radius: 10px;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
    background-color: #ffffff;
    border-radius: 0 10px 10px 0;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #c1c1c1;
}
.table-wrap td .layui-btn-xs {
	margin: 0!important;
}
.table-wrap td.actions {
    padding: 5px;
}
.table-wrap table .w-400 {	
    min-width: 400px;
    white-space: normal;
}
.table-wrap table .text-center {	
    text-align: center;
}
.table-wrap tbody tr:hover td {
	background-color: #ebeef5;
}
.table-wrap tbody tr td {
	border-left: 1px solid #ebeef5;		
    border-bottom: 1px solid #ebeef5;
    padding: 2px 8px;
}
.table-wrap thead tr th {
    background-color: #f2f2f2 !important;
}

.w-10 {
    width:10px;
}
.w-20 {
    width:20px;
}
.w-30 {
    width:30px;
}
.w-40 {
    width:40px;
}
.w-50 {
    width:50px;
}
.w-60 {
    width:60px;
}
.w-100 {
    width:100px;
}
.w-110 {
    width:110px;
}
.w-120 {
    width:120px;
}
.w-150 {
    width:150px;
}
.w-160 {
    width:160px;
}
.w-200 {
    width:200px;
}
.min-w-50 {
    min-width:50px;
}
.min-w-60 {
    min-width:50px;
}

/* style of courseQuestionManageList */
.manage_question .layui-form-checkbox {
    text-align: center;
}
.manage_question .custom_checkbox .layui-form-checkbox {
    padding-left: 0px;
}

.manage_question .t-center {
    text-align: center;
}
.manage_question .t-left {
    text-align: left;
}

/* style of courseStudentAdminList */
.course_student_admin .layui-form-checkbox {
    text-align: center;
    min-width:10px;
}
.course_student_admin .custom_checkbox .layui-form-checkbox {
    padding-left: 0px;
}
.course_student_admin .t-center {
    text-align: center;
}
.course_student_admin .t-left {
    text-align: left;
}

/* style of courseStudentList */
.course_student_list .table-wrap td .custom_checkbox,
.course_student_list .table-wrap th .custom_checkbox{
    min-width: 60px !important;
}
.course_student_list .custom_checkbox .layui-form-checkbox {
    padding-left: 0px;
}
.course_student_list .t-center {
    text-align: center;
}
.course_student_list .t-left {
    text-align: left;
}